/* Output from p2c, the Pascal-to-C translator */
/* From input file "M2/Util.mi" */


#include <p2c/p2c.h>


#ifndef IO_H
#include "IO.h"
#endif


long Util_ScanInteger(s)
Char *s;
{
    /*
       given the input string return the integer value that corresponds
       to this string
     */
    long i;

    sscanf(s, "%ld", &i);   /* Internal to p2c!!! */
    return i;
}


double Util_ScanLongReal(s)
Char *s;
{
    double r;

    sscanf(s, "%lg", &r);   /* Internal to p2c!!! */
    return r;
}


float Util_ScanReal(s)
Char *s;
{
    float r;

    r = (float)Util_ScanLongReal(s);
    return r;
}


unsigned long Util_ArgvStringExists(s)
Char *s;
{
    unsigned long i;
    Char STR[256];

    for (i = 1; i < P_argc; i++) {
	if (!strcmp(strcpy(STR, P_argv[i]), s))
	    return i;
    }
    return 0;

}


Util_FatalError(s)
Char *s;
{
    IO_WritelnS(&_iob[2], 1L, 41L,
		"*** Fatal error, exiting from program ***");
    IO_WritelnS(&_iob[2], 1L, 255L, s);

    exit(1);
}




/* End. */
